#use lib "/root/perl5/lib";

# @author Miroslav Bodis 2014

use strict; 
use warnings;

my $file = shift;
my $rotation = shift;
my $debug_mode = shift;

my $find = 0;

if (!defined $debug_mode){
	$debug_mode = 0;	
	# $debug_mode = 1; # TODO use for more details	
}

if ($debug_mode == 1){	
	print "file:" . $file."\n";
	print $rotation . "\n";
	print "debug mode: " . $debug_mode."\n";
}

my @recognize_words = ('then', 'change', 'when', 'over', 'suddenly', 'another');

open(my $fh, "<", $file) or die "cannot open file";

while(<$fh>)  {
	chomp;
	
	my $line = $_;
	{
		use re::engine::TRE max_cost => 1;

		foreach (@recognize_words) {

			if ($line =~ /$_/i) {
				
				$find += 1;

				if ($debug_mode == 1){	
					print "match word: " . $_ . "\n";
				}				
			}
		}
	}
}

close $fh;

if ($find > 2){
	exit 0;
}

exit 1;



